<?php
/**
 * @version     1.0.0
 * @package     com_dxfontawesome
 * @copyright   Copyright (C) 2014. Todos los derechos reservados.
 * @license     Licencia Pública General GNU versión 2 o posterior. Consulte LICENSE.txt
 * @author      gersput <gersput@gmail.com> - http://www.dibuxo.com
 */


// no direct access
defined('_JEXEC') or die;

// Access check.
if (!JFactory::getUser()->authorise('core.edit.own', 'com_dxfontawesome')) 
{
	throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependancies
jimport('joomla.application.component.controller');

$controller	= JControllerLegacy::getInstance('Dxfontawesome');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();
